clang 10.0.0git

Public Member Functions | List of all members
clang::interp::BlockScope< Emitter > Class Template Referencefinal

Scope for storage declared in a compound statement. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/ByteCodeExprGen.h"`

Inheritance diagram for clang::interp::BlockScope< Emitter >:
[legend]
Collaboration diagram for clang::interp::BlockScope< Emitter >:
[legend]

## Public Member Functions
| BlockScope (ByteCodeExprGen< Emitter > *Ctx)
void | addExtended (const Scope::Local &Local) override
Public Member Functions inherited from clang::interp::LocalScope< Emitter >
| LocalScope (ByteCodeExprGen< Emitter > *Ctx)
| ~LocalScope () override
void | addLocal (const Scope::Local &Local) override
void | emitDestruction () override
Public Member Functions inherited from clang::interp::VariableScope< Emitter >
virtual | ~VariableScope ()
void | add (const Scope::Local &Local, bool IsExtended)
VariableScope * | getParent ()

## Additional Inherited Members
Protected Member Functions inherited from clang::interp::VariableScope< Emitter >
| VariableScope (ByteCodeExprGen< Emitter > *Ctx)
Protected Attributes inherited from clang::interp::LocalScope< Emitter >
Optional< unsigned > | Idx
| Index of the scope in the chain. More...
Protected Attributes inherited from clang::interp::VariableScope< Emitter >
ByteCodeExprGen< Emitter > * | Ctx
| ByteCodeExprGen instance. More...
VariableScope * | Parent
| Link to the parent scope. More...

## Detailed Description

### template<class Emitter>
class clang::interp::BlockScope< Emitter >

Scope for storage declared in a compound statement.

Definition at line 308 of file ByteCodeExprGen.h.

## Constructor & Destructor Documentation

## ◆ BlockScope()

template<class Emitter>

clang::interp::BlockScope< Emitter >::BlockScope | ( | ByteCodeExprGen< Emitter > * | Ctx | ) |
| inline

Definition at line 310 of file ByteCodeExprGen.h.

## Member Function Documentation

## ◆ addExtended()

template<class Emitter>

void clang::interp::BlockScope< Emitter >::addExtended | ( | const Scope::Local & | Local | ) |
| inline override virtual

Reimplemented from clang::interp::VariableScope< Emitter >.

Definition at line 312 of file ByteCodeExprGen.h.

The documentation for this class was generated from the following file:

- lib/AST/Interp/ByteCodeExprGen.h